Subject: [B19.1] Loading cygnus generated Dlls from a MSVC 5.0 app
From: [email-masked] (OSKAR BERRETEAGA)

18 Jan 1999 14:59:26 -0800
Message-ID: <c=ES%a=_%p=FAGOR?AUTOMATION%l=[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: 8bit
To: "[email-masked]'" <[email-masked]>

Hi, all

I'm using B19.1 in a w95 box and until recently I was able
to successfully load a cygnus generated dll from a msvc 5.0 
console app. I've followed the steps to generate a relocatable 
dll which are described in cygnus' documentation page.

When trying to load another cygnus generated dll, the call to 
LoadLibrary fails (returns NULL) and GetLastError function 
returns 120 (= "This function is not valid on this platform").

However, I can load any msvc generated dll after loading
the first cygnus dll. But, if I load any msvc dll before the
first cygnus dll, I can´t load this last one.

Am I missing something? Any ideas?

Thanks in advance.
>
>Oskar Berreteaga Castro
>Depto. I+D Software
>e-mail: [email-masked]
>
>----------------------------------------------------
>Fagor Automation, S.Coop.
>Barrio San Andres, s/n - P.O. Box. 144
>Mondragon 20500 - SPAIN
>
>Tfno:	+34-943 79 95 11
>Fax:	+34-943 79 17 12
>http://www.fagorautomation.mcc.es
>----------------------------------------------------
>

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".